%define upstream_name    lib-abs
%define upstream_version 0.95

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get pathname of current working directory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/lib/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd) >= 3.120.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch:  noarch

Provides:   perl(lib::abs)

%description
The main reason of this library is transformate relative paths to absolute
at the 'BEGIN' stage, and push transformed to '@INC'. Relative path basis
is not the current working directory, but the location of file, where the
statement is (caller file). When using common 'lib', relative paths stays
relative to curernt working directory,

	# For ex:
	# script: /opt/scripts/my.pl
	use lib::abs '../lib';

	# We run `/opt/scripts/my.pl` having cwd /home/mons
	# The @INC will contain '/opt/lib';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README ex
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 19 2020 umeabot <umeabot> 0.950.0-2.mga8
+ Revision: 1544303
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 tv <tv> 0.950.0-1.mga8
+ Revision: 1482771
- restore BR on perl(inc::Module::Install)
- update to 0.95

* Fri Jan 24 2020 tv <tv> 0.940.0-1.mga8
+ Revision: 1482752
- restore BR on perl(inc::Module::Install)
- update to 0.94
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.930.0-9.mga7
+ Revision: 1287496
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.930.0-8.mga7
+ Revision: 1165135
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.930.0-7.mga7
+ Revision: 1160318
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.930.0-6.mga6
+ Revision: 1029136
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.930.0-5.mga6
+ Revision: 941828
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.930.0-4.mga5
+ Revision: 742488
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.930.0-3.mga5
+ Revision: 725830
- use %%perl_default_filter (fix excludes)

* Tue Sep 16 2014 umeabot <umeabot> 0.930.0-2.mga5
+ Revision: 687036
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.930.0-1.mga5
+ Revision: 585222
- update to 0.93

* Fri Oct 18 2013 umeabot <umeabot> 0.920.0-4.mga4
+ Revision: 516400
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.920.0-3.mga3
+ Revision: 375475
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.920.0-2.mga2
+ Revision: 104003
- increase rel for rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.920.0-1.mga1
+ Revision: 28942
- mageia rebuild
- imported package perl-lib-abs

